Package org.apache.calcite.avatica

# Enum QueryState.StateType

java.lang.Object
java.lang.Enum<QueryState.StateType>
org.apache.calcite.avatica.QueryState.StateType

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryState.StateType>`, `java.lang.constant.Constable`

Enclosing class:
  QueryState

public static enum QueryState.StateType extends Enum<QueryState.StateType>
An enumeration that represents how a ResultSet was created.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`METADATA`
`SQL`

## Method Summary

Modifier and Type
Method
Description
`static QueryState.StateType`
`fromProto(org.apache.calcite.avatica.proto.Common.StateType protoType)`
`org.apache.calcite.avatica.proto.Common.StateType`
`toProto()`
`static QueryState.StateType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryState.StateType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SQL

public static final QueryState.StateType SQL

### METADATA

public static final QueryState.StateType METADATA

## Method Details

### values

public static QueryState.StateType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QueryState.StateType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toProto

public org.apache.calcite.avatica.proto.Common.StateType toProto()

### fromProto

public static QueryState.StateType fromProto(org.apache.calcite.avatica.proto.Common.StateType protoType)